[Merge] debhelper (6.0.3ubuntu1)

Bug #184545 reported by Michael Bienia on 2008-01-20
6
Affects Status Importance Assigned to Milestone
debhelper (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: debhelper

As the first packages in Debian start to build-depend on debhelper 6, we either have to include debhelper 6 in hardy or change the affected packages back to debhelper 5 instead of simply syncing them. Therefore I've prepared a merge for debhelper.

Changelog since debhelper 5.0.62ubuntu1:

debhelper (6.0.3ubuntu1) hardy; urgency=low

  * Merge with Debian unstable (LP: #184545). Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
      output.
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
      be kept until dapper goes out of support, to avoid broken dapper
      backports.
    - dh_python: Add 2.5 as supported Python version. dh_python is generally
      deprecated in favor of dh_py{central,support}, but universe might still
      have some unconverted packages. This should be dropped at some point,
      though.

 -- Michael Bienia <email address hidden> Sat, 26 Jan 2008 14:14:22 +0100

debhelper (6.0.3) unstable; urgency=low

  * dh_link: -X can be used to avoid it modifying symlinks to be compliant
    with policy. Closes: #461392
  * dh_shlibdeps: Rather than skipping everything in /usr/lib/debug,
    which can include debug libraries that dpkg-shlibdeps should look at,
    only skip the subdirectories of it that contain separate debugging
    symbols. (Hardcoding the names of those directories is not the best
    implementation, but it will do for now.) Closes: #461339

 -- Joey Hess <email address hidden> Sun, 20 Jan 2008 15:27:59 -0500

debhelper (6.0.2) unstable; urgency=low

  * Revert slightly broken refactoring of some exclude code.
    Closes: #460340, #460351

 -- Joey Hess <email address hidden> Sat, 12 Jan 2008 12:31:15 -0500

debhelper (6.0.1) unstable; urgency=low

  * dh_installdocs/examples: Don't unnecessarily use the exclude code path.
  * dh_install{,docs,examples}: Avoid infinite recursion when told to
    install a directory ending with "/." (slashdot effect?) when exclusion is
    enabled. Emulate the behavior of cp in this case. Closes: #253234
  * dh_install: Fix #459426 here too.

 -- Joey Hess <email address hidden> Fri, 11 Jan 2008 14:15:56 -0500

debhelper (6.0.0) unstable; urgency=low

  * dh_gencontrol: Stop passing -isp, it's the default now. Closes: #458114
  * dh_shlibdeps: Update documentation for -L and -l. dpkg-shlibdeps is now
    much smarter, and these options are almost never needed. Closes: #459226
  * dh_shlibdeps: If a relative path is specified in -l, don't prepend the pwd
    to it, instead just prepend a slash to make it absolute. dpkg-shlibdeps
    has changed how it used LD_LIBRARY_PATH, so making it point into the
    package build directory won't work.
  * dh_shlibdeps: Change "-L pkg" to cause "-Sdebian/pkg" to be passed to
    dpkg-shlibdeps. The old behavior of passing -L to dpkg-shlibdeps didn't
    affect where it looked for symbols files. Closes: #459224
  * Depend on dpkg-dev 1.14.15, the first to support dpkg-shlibdeps -S.
  * dh_installdocs, dh_installexamples: Support files with spaces in exclude
    mode. Closes: #459426
  * debhelper v6 mode is finalised and is the new recommended compatibility
    level.

 -- Joey Hess <email address hidden> Tue, 08 Jan 2008 17:12:36 -0500

debhelper (5.0.63) unstable; urgency=low

  * dh_installdocs: Tighten doc-base document id parsing to only accept
    the characters that the doc-base manual allows in the id. Closes: #445541

 -- Joey Hess <email address hidden> Sat, 22 Dec 2007 22:54:51 -0500

Related branches

Scott Kitterman (kitterman) wrote :

Needs update for 6.0.3.

Michael Bienia (geser) wrote :

Attached are the debdiff for debhelper 6.0.3ubuntu1

description: updated
Launchpad Janitor (janitor) wrote :
Download full text (3.2 KiB)

This bug was fixed in the package debhelper - 6.0.4ubuntu1

---------------
debhelper (6.0.4ubuntu1) hardy; urgency=low

  * Merge with Debian unstable (LP: #184545). Remaining changes:
    - autoscripts/postinst-scrollkeeper: Do not show scrollkeeper-update
      output.
    - dh_installudev: Use priority 50 by default (instead of z60) and '-'
      separator (instead of '_').
    - dh_installxfonts: Use versioned dependency for xfonts-utils. This should
      be kept until dapper goes out of support, to avoid broken dapper
      backports.
    - dh_python: Add 2.5 as supported Python version. dh_python is generally
      deprecated in favor of dh_py{central,support}, but universe might still
      have some unconverted packages. This should be dropped at some point,
      though.

debhelper (6.0.4) unstable; urgency=low

  * dh_strip: Improve the idempotency fix put in for #380314.
  * dh_strip: The -k flag didn't work (--keep did). Fix.
  * dh_shlibdeps: Add emul to exclude list.

debhelper (6.0.3) unstable; urgency=low

  * dh_link: -X can be used to avoid it modifying symlinks to be compliant
    with policy. Closes: #461392
  * dh_shlibdeps: Rather than skipping everything in /usr/lib/debug,
    which can include debug libraries that dpkg-shlibdeps should look at,
    only skip the subdirectories of it that contain separate debugging
    symbols. (Hardcoding the names of those directories is not the best
    implementation, but it will do for now.) Closes: #461339

debhelper (6.0.2) unstable; urgency=low

  * Revert slightly broken refactoring of some exclude code.
    Closes: #460340, #460351

debhelper (6.0.1) unstable; urgency=low

  * dh_installdocs/examples: Don't unnecessarily use the exclude code path.
  * dh_install{,docs,examples}: Avoid infinite recursion when told to
    install a directory ending with "/." (slashdot effect?) when exclusion is
    enabled. Emulate the behavior of cp in this case. Closes: #253234
  * dh_install: Fix #459426 here too.

debhelper (6.0.0) unstable; urgency=low

  * dh_gencontrol: Stop passing -isp, it's the default now. Closes: #458114
  * dh_shlibdeps: Update documentation for -L and -l. dpkg-shlibdeps is now
    much smarter, and these options are almost never needed. Closes: #459226
  * dh_shlibdeps: If a relative path is specified in -l, don't prepend the pwd
    to it, instead just prepend a slash to make it absolute. dpkg-shlibdeps
    has changed how it used LD_LIBRARY_PATH, so making it point into the
    package build directory won't work.
  * dh_shlibdeps: Change "-L pkg" to cause "-Sdebian/pkg" to be passed to
    dpkg-shlibdeps. The old behavior of passing -L to dpkg-shlibdeps didn't
    affect where it looked for symbols files. Closes: #459224
  * Depend on dpkg-dev 1.14.15, the first to support dpkg-shlibdeps -S.
  * dh_installdocs, dh_installexamples: Support files with spaces in exclude
    mode. Closes: #459426
  * debhelper v6 mode is finalised and is the new recommended compatibility
    level.

debhelper (5.0.63) unstable; urgency=low

  * dh_installdocs: Tighten doc-base document id parsing to only accept
    the characters that the doc-base manual allows in the id. Closes: #...

Read more...

Changed in debhelper:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers